import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;

public class Multiple {


    // Logfiles usually have unlimited size. That can be
    // changed. If the log file fills up, it is renamed to an
    // unused backup file name and the original name is
    // reopened. Backup file names begin with "000" and count
    // upward. 

    static private Trace tr = new Trace("Multiple");

    public static void main(String[] args) {

        Properties p = new Properties();
        // Make the size of the file small. The size is in
        // characters. 
        p.setProperty("TraceLog_size", "5000");
        // Change the name so that it's different from that of other
        // examples.
        p.setProperty("TraceLog_tag", "TraceMultiple");
        TraceController.start(p); 

        for (int i = 0; i < 1000; i++) {
            // Note the second argument to worldm(). The object is
            // concatenated. 
            tr.worldm("Hello, traceworld", new Integer(i));
        }
    }
}


