import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;
import java.io.File;

public class Stomp {

    static private Trace tr = new Trace("Stomp");

    // What happens if there's already a file with the name of the
    // logfile? Let's see...

    public static void main(String[] args) {

        try {
            (new File("TraceStomp.txt")).createNewFile();
            // Ignore return value. It's OK if already exists.
        } catch (Exception e) {
            System.out.println("Oops... creating file failed: " + e.getMessage());
            System.exit(1);
        }
            
        // Trace defaults are overriden at launch time by passing in
        // properties. 
        Properties p = new Properties();
        // Open a logfile that already exists.
        p.setProperty("TraceLog_tag", "TraceStomp");
        TraceController.start(p); 

        tr.worldm("Subsystem starts.");
    }
}


