import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;
import java.io.File;

public class Switch {

    static private Trace tr = new Trace("Switch");

    public static void main(String[] args) {

        Properties p = new Properties();
        // Use a unique name.
        p.setProperty("TraceLog_tag", "TraceSwitch");
        TraceController.start(p); 

        tr.worldm("Subsystem starts. (step 1)");

        // Reopen the logfile. The old one becomes a backup.
        TraceController.setProperty("TraceLog_reopen", "true");
        tr.worldm("This will appear in a new log file (step 3).");

        // Let's break free of the hegemony of ".txt" files and create
        // our own filename...
        TraceController.setProperty("Tracelog_name", "Trace.quux.frobboz---");
        TraceController.setProperty("TraceLog_reopen", "true");
        
        tr.worldm("This will appear in the frobboz file. (step 5)");
    }
}


