import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;

public class Timestamp {

    // Send trace messages to this object. The argument to the
    // constructor is a "subsystem". Each subsystem's tracing can be
    // controlled independently.
    static private Trace tr = new Trace("Timestamp");

    public static void main(String[] args) {
        // Trace defaults are overriden at launch time by passing in
        // properties. 
        Properties p = new Properties();
        // The log file name contains a timestamp. 
        p.setProperty("TraceLog_timestamp", "true");
        TraceController.start(p); 

        // Let's announce that this subsystem has been started.
        tr.worldm("Timestamp subsystem starts.");
    }
}


