package com.visibleworkings.trace;

/*
The contents of this file are subject to the Electric Communities E Open 
Source Code License Version 1.0 (the "License"); you may not use this file 
except in compliance with the License. You may obtain a copy of the License 
at http://www.communities.com/EL/.

Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for 
the specific language governing rights and limitations under the License.

The Original Code is the Distributed E Language Implementation, released 
July 20, 1998. 

The Initial Developer of the Original Code is Electric Communities.  
Copyright (C) 1998 Electric Communities. All Rights Reserved. 

Contributor(s): ______________________________________.
*/
/*
 *  Trace and Logging Package.  Written by Brian Marick,
 *  July-September 1997, for Electric Communities, Inc.
 *  Copyright (c) 1997 by Electric Communities.  All Rights Reserved.
 */



/** 
 * Use in integer->string conversions so that "1", "11", and "112"
 * take the same number of characters. Now that java.text.Format
 * exists, could change to use it, but this is perfectly easy to
 * preserve. 
 */
class ZeroFiller {
    /*
     * No longer needed, now that TraceDateToString uses
     * SimpleDateFormat. If that really works out, this whole class
     * could go away and the remaining method be moved into
     * TraceTxtVersionNamer 
    final static String fill(long number) {
        if (number <= 9) {
            return "0" + String.valueOf(number);
        } else {
            return String.valueOf(number);
        }
    }
    */

    final static String fill3(long number) {
        if (number <= 9) {
            return "00" + String.valueOf(number);
        } else if (number <= 99) {
            return "0" + String.valueOf(number);
        } else {
            return String.valueOf(number);
        }
    }
}
